
QGIS Application - Bug report #20271

WMS is not displayed in QGIS 3.4.0 Madeira

2018-10-30 11:47 AM - Dirk Wölfel

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Web Services clients/WMS

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28092

Description

A working WMS is no longer displayed under QGIS 3.4.0. The same service works fine under 3.2.3.

Under 3.4.0 only the legend is shown. However, the actual service is not displayed.

Example link:

https://www.wms.nrw.de/geobasis/wms_nw_dtk

Related issues:

Duplicated by QGIS Application - Bug report # 20311: Bad request for WMS (STY... Closed 2018-11-01

Associated revisions

Revision 94aa628e - 2018-10-31 10:06 AM - Alessandro Pasotti 

[wms] Do not pass null QStrings to QgsWmsProvider::setQueryItem

Fix #20271 - WMS is not displayed in QGIS 3.4.0

With test

Revision b6f2bae3 - 2018-10-31 10:19 AM - Alessandro Pasotti 

[wms] Do not pass null QStrings to QgsWmsProvider::setQueryItem

Fix #20271 - WMS is not displayed in QGIS 3.4.0

With test

Cherry-picked from 94aa628e3e94e5998ba762810e19be104c0f820b

History

#1 - 2018-10-30 12:06 PM - Stefan Overkamp

Same with https://www.wms.nrw.de/geobasis/wms_nw_dop.

The wms protocol window shows "...&STYLES&FORMAT=..." instead of "...&STYLES=&FORMAT=..." 

Seems the "=" character is missing in QGIS 3.4 if no default style is assigned.

Choosing the default layer (ID 4 in wms_nw_dop) displays the wms image.
#2 - 2018-10-30 04:54 PM - mr twister

Same with https://maps.zg.ch/basisplan_sw/service.svc/get?REQUEST=getcapabilities&#38;Service=WMS&#38;VERSION=1.3.0

#3 - 2018-10-30 05:07 PM - Giovanni Manghi

- Operating System deleted (Windows 7 Professional)

#4 - 2018-10-31 08:13 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#5 - 2018-10-31 10:07 AM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8388

#6 - 2018-10-31 01:34 PM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|94aa628e3e94e5998ba762810e19be104c0f820b.

#7 - 2018-11-01 09:17 AM - Alessandro Pasotti

- Duplicated by Bug report #20311: Bad request for WMS (STYLES) added
